For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
              • GETList Projects
              • POSTCreate a Project
              • DELDelete Projects
              • DELDelete a Project
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInfrastructure HostingProjects

Delete Projects

Pre-release
DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/infrastructure/projects
DELETE
/stores/:store_hash/v3/infrastructure/projects
$curl -X DELETE "https://api.bigcommerce.com/stores/store_hash/v3/infrastructure/projects?project_uuid:in=project_uuid%3Ain" \
> -H "X-Auth-Token: <apiKey>"

Deletes one or more infrastructure hosting projects by UUID. The project_uuid:in query parameter is required.

Was this page helpful?
Previous

Create a Project

Next

Delete a Project

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Infrastructure Deploymentsread-onlystore_infrastructure_deployments_read_only
Infrastructure Deploymentscreate previewstore_infrastructure_deployments_create_preview
Infrastructure Deploymentsmanagestore_infrastructure_deployments_manage
Infrastructure Projectsread-onlystore_infrastructure_projects_read_only
Infrastructure Projectsmanagestore_infrastructure_projects_manage
Infrastructure Logsread-onlystore_infrastructure_logs_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

project_uuid:instringRequired

A comma-separated list of project UUIDs to delete. For example, ?project_uuid:in=uuid1,uuid2.

Response

The projects were deleted successfully. No content is returned.

Errors

422
Unprocessable Entity Error